--------------------------------------------------------------------------------
-- Code developed by Generis Technology Limited
--
-- Product Name: B-Smart
--
-- Component Name: Meter Asset Manager
--
-- Description: Script to apply MDD change 14/460
--
-- Amendment History:                   Date        Author            Vers
-- ------------------                   ---------   -------           -----
-- B-Smart Initial Release              06-MAY-14   Generis           13.3
--------------------------------------------------------------------------------
--
-- SET SERVEROUTPUT ON SIZE 1000000
SET VERIFY OFF
--
PROMPT
PROMPT Script to apply MDD change 14/460
PROMPT
PROMPT Version 13.3
PROMPT
--
PROMPT
PROMPT Amend name for ECM as MAP (MDD 14/460)
PROMPT
--
SET SCAN OFF
--
DECLARE

  invalid_column      EXCEPTION;
  is_snapshot         EXCEPTION;
  row_exists          EXCEPTION;
  PRAGMA EXCEPTION_INIT(invalid_column, -904);
  PRAGMA EXCEPTION_INIT(is_snapshot, -1732);
  PRAGMA EXCEPTION_INIT(row_exists, -1);

BEGIN

EXECUTE IMMEDIATE 'UPDATE MARKET_PARTICIPANT 
                    SET MARKET_PARTICIPANT_NAME = ''EDF Energy Customers PLC'',
                            LAST_UPDATE_USER_ID = ''MDD_14_460'',
                            LAST_UPDATE_DATE = SYSDATE
                      WHERE MARKET_PARTICIPANT_CODE = ''ECM''';

EXECUTE IMMEDIATE 'UPDATE MARKET_PARTICIPANT_IN_ROLE
                        SET MARKET_PARTICIPANT_ROLE_NAME = ''EDF Energy Customers PLC (MAP)'',
                            LAST_UPDATE_USER_ID = ''MDD_14_460'',
                            LAST_UPDATE_DATE = SYSDATE
                      WHERE MARKET_PARTICIPANT_CODE = ''ECM''
                        AND MARKET_PARTICIPANT_ROLE_CODE = ''MAP''';

EXCEPTION
  WHEN is_snapshot OR invalid_column THEN
    NULL;
END;
/
--
SET SCAN ON
--
COMMIT
/
--
SET VERIFY ON
--
